Qwt User's Guide 6.0.2

- Main Page
- Related Pages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
QwtPickerClickPointMachine Class Reference

`#include <qwt_picker_machine.h>`

Inheritance diagram for QwtPickerClickPointMachine:
[legend]

List of all members.

## Public Member Functions

| QwtPickerClickPointMachine ()
virtual QList< Command > | transition (const QwtEventPattern &, const QEvent *)
Public Member Functions inherited from QwtPickerMachine
| QwtPickerMachine (SelectionType)
virtual | ~QwtPickerMachine ()
void | reset ()
SelectionType | selectionType () const
void | setState (int)
int | state () const

## Additional Inherited Members

Public Types inherited from QwtPickerMachine
enum | Command { Begin, Append, Move, Remove, End }
enum | SelectionType { NoSelection = -1, PointSelection, RectSelection, PolygonSelection }

## Detailed Description

A state machine for point selections.

Pressing QwtEventPattern::MouseSelect1 or QwtEventPattern::KeySelect1 selects a point.

See also:
  QwtEventPattern::MousePatternCode, QwtEventPattern::KeyPatternCode